#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    int n,k,i;
    cin >> n;
    int m[n];
    for(i=0; i<n; i++)
        cin >> m[i];
    if(m[0] == k) cout << m[n-1];
    else if(m[n-1] == k) cout << m[0];
    else
    {
        for(i=1; i<n-1; i++)
        if(m[i] == k)
        {
            cout << m[i+1];
            break;
        }
    }
    return 0;
}